"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _arrayFrom = _interopRequireDefault(require("../../utils/array/arrayFrom"));

var _getListKey = _interopRequireDefault(require("./getListKey"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getListKeys(listKeys, urlOnlyParams) {
  return (0, _arrayFrom["default"])(listKeys).map(function (listKey) {
    return (0, _getListKey["default"])(listKey, {
      urlOnlyParams: urlOnlyParams
    });
  });
}

function extractListOperations(actionCreatorOptions, urlOnlyParams) {
  var push = actionCreatorOptions.push,
      unshift = actionCreatorOptions.unshift,
      invalidate = actionCreatorOptions.invalidate;
  return {
    push: getListKeys(push, urlOnlyParams),
    unshift: getListKeys(unshift, urlOnlyParams),
    invalidate: getListKeys(invalidate, urlOnlyParams)
  };
}

var _default = extractListOperations;
exports["default"] = _default;